spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Types | Protected Attributes | List of all members
spot::timer_map Class Reference

A map of timer, where each timer has a name. More...

`#include <spot/misc/timer.hh>`

Collaboration diagram for spot::timer_map:

## Public Member Functions
void | start (const std::string &name)
| Start a timer with name name. More...
void | stop (const std::string &name)
| Stop timer name. More...
void | cancel (const std::string &name)
| Cancel timer name. More...
const spot::timer & | timer (const std::string &name) const
| Return the timer name. More...
bool | empty () const
| Whether there is no timer in the map. More...
std::ostream & | print (std::ostream &os) const
| Format information about all timers in a table. More...
void | reset_all ()
| Remove information about all timers. More...

## Protected Types
typedef std::pair< spot::timer, int > | item_type
typedef std::map< std::string, item_type > | tm_type

## Protected Attributes
tm_type | tm

## Detailed Description

A map of timer, where each timer has a name.

Timer_map also keeps track of the number of measures each timer has performed.

## Member Function Documentation

void spot::timer_map::cancel | ( | const std::string & | name | ) |
| inline

Cancel timer name.

The timer must have been previously started with start().

This cancel only the current measure. (Previous measures recorded by the timer are preserved.) When a timer that has not done any measure is canceled, it is removed from the map.

bool spot::timer_map::empty | ( |  | ) | const
| inline

Whether there is no timer in the map.

If empty() return true, then either no timer where ever started, or all started timers were canceled without completing any measure.

std::ostream& spot::timer_map::print | ( | std::ostream & | os | ) | const

Format information about all timers in a table.

void spot::timer_map::reset_all | ( |  | ) |
| inline

Remove information about all timers.

void spot::timer_map::start | ( | const std::string & | name | ) |
| inline

Start a timer with name name.

The timer is created if it did not exist already. Once started, a timer should be either stop()ed or cancel()ed.

void spot::timer_map::stop | ( | const std::string & | name | ) |
| inline

Stop timer name.

The timer must have been previously started with start().

const spot::timer& spot::timer_map::timer | ( | const std::string & | name | ) | const
| inline

Return the timer name.

The documentation for this class was generated from the following file:

- spot/misc/timer.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.